Package htsjdk.variant.variantcontext.writer

# Enum Class Options

java.lang.Object
java.lang.Enum<Options>
htsjdk.variant.variantcontext.writer.Options

All Implemented Interfaces:
  `Serializable`, `Comparable<Options>`, `Constable`

public enum Options extends Enum<Options>
Available writer options for VariantContextWriters

Since:
  5/12

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALLOW_MISSING_FIELDS_IN_HEADER`
`DO_NOT_WRITE_GENOTYPES`
`FORCE_BCF`
`INDEX_ON_THE_FLY`
`USE_ASYNC_IO`
`WRITE_FULL_FORMAT_FIELD`

## Method Summary

Modifier and Type
Method
Description
`static Options`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Options[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INDEX_ON_THE_FLY

public static final Options INDEX_ON_THE_FLY

### DO_NOT_WRITE_GENOTYPES

public static final Options DO_NOT_WRITE_GENOTYPES

### ALLOW_MISSING_FIELDS_IN_HEADER

public static final Options ALLOW_MISSING_FIELDS_IN_HEADER

### FORCE_BCF

public static final Options FORCE_BCF

### USE_ASYNC_IO

public static final Options USE_ASYNC_IO

### WRITE_FULL_FORMAT_FIELD

public static final Options WRITE_FULL_FORMAT_FIELD

## Method Details

### values

public static Options[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Options valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null